Workflow Runs - List

ワークフロー実行の一覧を取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/workflows/{workflowName}/runs?api-version=2019-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/workflows/{workflowName}/runs?api-version=2019-05-01&$top={$top}&$filter={$filter}

URI パラメーター

Name / 必須 型 説明
resourceGroupName
path True

string

リソース グループ名。

subscriptionId
path True

string

サブスクリプション ID。

workflowName
path True

string

ワークフロー名。

api-version
query True

string

API のバージョン。

$filter
query

string

操作に適用するフィルター。 フィルターのオプションには、Status、StartTime、ClientTrackingId があります。

$top
query

integer (int32)

結果に含める項目の数。

応答

Name 型 説明
200 OK

WorkflowRunListResult

[OK]

Other Status Codes

ErrorResponse

操作が失敗した理由を説明するエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

Name 説明
user_impersonation ユーザー アカウントを偽装する

例

List workflow runs

要求のサンプル

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/workflows/test-workflow/runs?api-version=2019-05-01

応答のサンプル

{
  "value": [
    {
      "properties": {
        "waitEndTime": "2018-08-10T20:16:32.044238Z",
        "startTime": "2018-08-10T20:16:32.044238Z",
        "endTime": "2018-08-10T20:16:32.5779999Z",
        "status": "Succeeded",
        "correlation": {
          "clientTrackingId": "08586676746934337772206998657CU22"
        },
        "workflow": {
          "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/workflows/test-workflow/versions/08586676754160363885",
          "name": "08586676754160363885",
          "type": "Microsoft.Logic/workflows/versions"
        },
        "trigger": {
          "name": "Recurrence",
          "startTime": "2018-08-10T20:16:32.0387927Z",
          "endTime": "2018-08-10T20:16:32.0387927Z",
          "scheduledTime": "2018-08-10T20:16:31.6344174Z",
          "correlation": {
            "clientTrackingId": "08586676746934337772206998657CU22"
          },
          "code": "OK",
          "status": "Succeeded"
        },
        "outputs": {}
      },
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/workflows/test-workflow/runs/08586676746934337772206998657CU22",
      "name": "08586676746934337772206998657CU22",
      "type": "Microsoft.Logic/workflows/runs"
    }
  ]
}

定義

Name 説明
ContentHash

コンテンツ ハッシュ。

ContentLink

コンテンツ リンク。

Correlation

相関プロパティ。

ErrorProperties

エラー プロパティは、ロジック サービスが受信要求を処理できなかった理由を示します。 エラー メッセージに理由が示されます。

ErrorResponse

エラー応答は、Logic Service が受信要求を処理できないことを示します。 error プロパティには、エラーの詳細が含まれます。

Object
ParameterType

パラメータ型。

ResourceReference

リソース参照。

WorkflowOutputParameter

ワークフロー出力パラメータ。

WorkflowRun

ワークフローが実行されます。

WorkflowRunListResult

ワークフローの実行のリスト。

WorkflowRunTrigger

ワークフロー実行トリガー。

WorkflowStatus

ワークフローの状態。

ContentHash

コンテンツ ハッシュ。

Name 型 説明
algorithm

string

コンテンツ ハッシュのアルゴリズム。

value

string

コンテンツ ハッシュの値。

コンテンツ リンク。

Name 型 説明
contentHash

ContentHash

コンテンツ ハッシュ。

contentSize

integer (int64)

コンテンツ サイズ。

contentVersion

string

コンテンツのバージョン。

metadata

Object

メタデータ。

uri

string

コンテンツ リンク URI。

Correlation

相関プロパティ。

Name 型 説明
clientTrackingId

string

クライアント追跡 ID。

ErrorProperties

エラー プロパティは、ロジック サービスが受信要求を処理できなかった理由を示します。 エラー メッセージに理由が示されます。

Name 型 説明
code

string

エラー コード。

message

string

操作が失敗した理由を示すエラー メッセージ。

ErrorResponse

エラー応答は、Logic Service が受信要求を処理できないことを示します。 error プロパティには、エラーの詳細が含まれます。

Name 型 説明
error

ErrorProperties

エラーのプロパティ。

Object

ParameterType

パラメータ型。

値 説明
NotSpecified
String
SecureString
Int
Float
Bool
Array
Object
SecureObject

ResourceReference

リソース参照。

Name 型 説明
id

string

リソース ID。

name

string

リソース名を取得します。

type

string

リソースの種類を取得します。

WorkflowOutputParameter

ワークフロー出力パラメータ。

Name 型 説明
description

string

説明。

error

Object

エラーを取得します。

metadata

Object

メタデータ。

type

ParameterType

型。

value

Object

値。

WorkflowRun

ワークフローが実行されます。

Name 型 説明
id

string

リソース ID。

name

string

ワークフローの実行名を取得します。

properties.code

string

コードを取得します。

properties.correlation

Correlation

実行の相関関係。

properties.correlationId

string

相関 ID を取得します。

properties.endTime

string (date-time)

終了時刻を取得します。

properties.error

Object

エラーを取得します。

properties.outputs

<string,  WorkflowOutputParameter>

出力を取得します。

properties.response

WorkflowRunTrigger

フロー実行の応答を取得します。

properties.startTime

string (date-time)

開始時刻を取得します。

properties.status

WorkflowStatus

ステータスを取得します。

properties.trigger

WorkflowRunTrigger

起動されたトリガーを取得します。

properties.waitEndTime

string (date-time)

待機終了時刻を取得します。

properties.workflow

ResourceReference

ワークフロー バージョンへの参照を取得します。

type

string

ワークフローの実行タイプを取得します。

WorkflowRunListResult

ワークフローの実行のリスト。

Name 型 説明
nextLink

string

次の結果セットを取得するための URL。

value

WorkflowRun[]

ワークフロー実行のリスト。

WorkflowRunTrigger

ワークフロー実行トリガー。

Name 型 説明
code

string

コードを取得します。

correlation

Correlation

実行の相関関係。

endTime

string (date-time)

終了時刻を取得します。

error

Object

エラーを取得します。

inputs

Object

入力を取得します。

inputsLink

ContentLink

入力へのリンクを取得します。

name

string

名前を取得します。

outputs

Object

出力を取得します。

outputsLink

ContentLink

出力へのリンクを取得します。

scheduledTime

string (date-time)

スケジュールされた時刻を取得します。

startTime

string (date-time)

開始時刻を取得します。

status

WorkflowStatus

ステータスを取得します。

trackedProperties

Object

追跡されたプロパティを取得します。

trackingId

string

追跡 ID を取得します。

WorkflowStatus

ワークフローの状態。

値 説明
NotSpecified
Paused
Running
Waiting
Succeeded
Skipped
Suspended
Cancelled
Failed
Faulted
TimedOut
Aborted
Ignored